import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export interface InputProps extends BaseFieldProps {
    type: string;
    defaultValue?: any;
    addons?: {
        prepend: string[];
        append: string[];
    };
}
export declare class Input extends React.Component<InputProps, any> {
    componentDidMount(): void;
    componentDidUpdate(oldProps: InputProps): void;
    affixData: (data: string[], type: "prepend" | "append") => JSX.Element | null;
    saveToStore: (data: any) => void;
    render(): JSX.Element;
}
